Package org.apache.cxf.common.spi

# Interface GeneratedClassClassLoaderCapture

public interface GeneratedClassClassLoaderCapture
Implement this interface to store class generated in order during build phase inject it back before runtime to avoid class generation. produce dot class file thanks to save method. You can check WrapperNamespaceClassGeneratorTest.testGeneratedFirst for usage Here is list of extensions to set in order to avoid class loading after generation during build time. bus.setExtension(new WrapperHelperClassLoader(bus), WrapperHelperCreator.class); bus.setExtension(new ExtensionClassLoader(bus), ExtensionClassCreator.class); bus.setExtension(new ExceptionClassLoader(bus), ExceptionClassCreator.class); bus.setExtension(new WrapperClassLoader(bus), WrapperClassCreator.class); bus.setExtension(new FactoryClassLoader(bus), FactoryClassCreator.class); bus.setExtension(new GeneratedNamespaceClassLoader(bus), NamespaceClassCreator.class);

Author:
  olivier dufour

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `capture(String className, byte[] bytes)`

- ## Method Details

  - ### capture

    void capture(String className, byte[] bytes)